package com.module.backstage.fragment


import androidx.fragment.app.viewModels
import com.module.backstage.databinding.BackstageFragmentResetPwdBinding
import com.module.backstage.vm.ResetPwdFragmentVM
import com.quyunshuo.androidbaseframemvvm.common.ui.BaseFragment
import dagger.hilt.android.AndroidEntryPoint

/**
 * 重置密码Fragment
 *
 * @author Qu Yunshuo
 * @since 2021/8/1 11:46 下午
 */
@AndroidEntryPoint
class ResetPwdFragment : BaseFragment<BackstageFragmentResetPwdBinding, ResetPwdFragmentVM>() {


    override val mViewModel: ResetPwdFragmentVM by viewModels()
    override fun createVB() = BackstageFragmentResetPwdBinding.inflate(layoutInflater)


    override fun BackstageFragmentResetPwdBinding.initView() {
        addAllKeyboardView(mBinding.root)

    }

    override fun initObserve() {
    }

    override fun initRequestData() {
        mViewModel.getBanners()
        mViewModel.getArticleData()
    }

}